%if 0%{?fedora} >= 20 || 0%{?rhel} > 7
%define luaver 5.2
%else
%define luaver 5.1
%endif
%define lualibdir %{_libdir}/lua/%{luaver}

Summary:	Cyrus SASL library for Lua
Name:		lua-cyrussasl
Version:	1.0.0
Release:	1%{?dist}
License:	BSD
Group:		Development/Libraries
URL:		https://github.com/JorjBauer/lua-cyrussasl
Source:		https://github.com/JorjBauer/%{name}/archive/v%{version}.tar.gz
Patch0:		lua-cyrussasl-1.0.0-lua_52.patch
%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
Requires:	lua(abi) = %{luaver}
%else
Requires:	lua >= %{luaver}
%endif
BuildRequires:	lua-devel, cyrus-sasl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Lua bindings for the Cyrus SASL APIs.

%prep
%setup -q
%patch0 -p1 -b .lua_52

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -fPIC" LDFLAGS="-shared -fPIC -lsasl2 %{?__global_ldflags}" 

%install
rm -rf $RPM_BUILD_ROOT
install -D -p -m 755 cyrussasl.so $RPM_BUILD_ROOT%{lualibdir}/cyrussasl.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{lualibdir}/cyrussasl.so

%changelog
* Wed May 28 2014 Robert Scheck <robert@fedoraproject.org> 1.0.0-1
- Upgrade to 1.0.0
- Initial spec file for Fedora and Red Hat Enterprise Linux
